ruby 1.9.2p⇒2.2.3へのバージョンアップ

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,323

babanrb

score 24

前提・実現したいこと

システムをruby 1.9.2p⇒2.2.3へバージョンアプしようとしてます。railsのバージョンは3.2.19 DBはmysqlを使用しています。railsは後ほどバージョンアップしようと考えています。

発生している問題・エラーメッセージ

bundle installしたらgem mysql2で失敗したので0.3.11から0.4.1に上げたら成功しました。しかしrails sをしたら下記のようなエラーが出るようになりました。gem install activerecord-mysql2-adapter をしても解決しませんでした。

ログ

bundler/rubygems_integration.rb:302:in block in replace_gem': Please install the mysql2 adapter: gem install activerecord-mysql2-adapter (can't activate mysql2 (~> 0.3.10), already activated mysql2-0.4.1. Make sure all dependencies are added to Gemfile.) (LoadError)` 
        from /home/abc/.rbenv/versions/2.2.3/gemsets/3.3.x_version_up/gems/activerecord-3.2.17/lib/active_record/connection_adapters/mysql2_adapter.rb:3:in `<top (required)>'
        from /home/abc/.rbenv/versions/2.2.3/gemsets/3.3.x_version_up/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `require'
        from /home/abc/.rbenv/versions/2.2.3/gemsets/3.3.x_version_up/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `block in require'
        from /home/abc/.rbenv/versions/2.2.3/gemsets/3.3.x_version_up/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:236:in `load_dependency'
        from /home/abc/.rbenv/versions/2.2.3/gemsets/3.3.x_version_up/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `require'
        from /home/abc/.rbenv/versions/2.2.3/gemsets/3.3.x_version_up/gems/activerecord-3.2.17/lib/active_record/connection_adapters/abstract/connection_specification.rb:50:in `resolve_hash_connection'

###補足情報(言語/FW/ツール等のバージョンなど)
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

already activated mysql2-0.4.1.
とログに出ていますが、これが原因では?
つまり、先回りして以下を実行してしまったのがイケないのかなぁと思います。
bundle installしたらgem mysql2で失敗したので0.3.11から0.4.1に上げたら成功しました。

実際に試していないので外れているかも知れませんが、mysql2 を一旦ダウングレードするか、アンインストールしてから再インストールし、その後に
gem install activerecord-mysql2-adapter
を実行してみてはいかがでしょうか。

特定のGemだけをマニュアル作業でアップグレードすると整合性が崩れる可能性があるので、特別にバージョンを固定したいGemがないのであれば、
gem pristine --all
などのコマンドで全体のバージョンを更新してみると良いかもしれません。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/10/13 13:10

    >mysql2 を一旦ダウングレードするか、アンインストールしてから再インストールし、その後に…
    上記実施していますが解決しませんでした…エラー変わらずです。
    gemsets/3.3.x_version_up/gems/activerecord-3.2.17/lib/active_record/connection_adapters/mysql2_adapter.rb:3
    gem 'mysql2', '~> 0.3.10'をしている箇所がありますがruby,rails,gem msql2のバージョンによって不具合がでるとかいう情報ありますでしょうか?

    キャンセル

  • 2015/10/13 13:27

    「上記実施していますが解決しませんでした…」とのことですが、実施した結果インストールされたmysql2ってバージョンは何だったのですか?
    「gem 'mysql2', '~> 0.3.10'をしている箇所がありますが」ということですが、それがあるから「0.4.1」にバージョンアップされてしまい、現在のバージョンの不整合が発生しているのではなかったでしたか?

    キャンセル

  • 2015/10/13 14:11

    >mysql2ってバージョンは何だったのですか?
    再インストールした時は「0.4.1」が入っていました。Gemfileでgem 'mysql2', '~> 0.3.20'としてbundle installし直したところインストール及びrailsの起動ができるようになりました。このようなやり方でいいのか分かりませんが一旦解決しました。
    ありがとうございます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.22%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる